package
{
	import org.flixel.FlxState;
	import org.flixel.FlxG;
	import org.flixel.FlxText;
	
	public class EndState extends FlxState
	{
		public function EndState()
		{
			super();
		}
		
		override public function create():void
		{
			FlxG.playMusic(GameState.SndEnd);
			bgColor = 0xff000000;
			var title:FlxText = new FlxText(0,10,FlxG.width,"Game Over");
			title.size=16;
			title.alignment="center";		
			title.color=0xffffffff;
			add(title); //adds a 100px wide text field at position 0,0 (upper left)
			var subtitle:FlxText = new FlxText(0,60,FlxG.width,"Got score " + FlxG.level.toString());
			subtitle.alignment="center";
			subtitle.color=0xffffffff;
			subtitle.size=16;
			add(subtitle);
			
			
			subtitle = new FlxText(0,100,FlxG.width,"click to restart");
			subtitle.alignment="center";
			subtitle.color=0xffffffff;
			subtitle.size=8;
			add(subtitle);
			//FlxG.play(GameState.SndFanfare);
		}
		
		override public function update():void
		{
			if (FlxG.mouse.justPressed())
			{
				FlxG.state = new TitleState();
			}			
		}
		
	}
}